[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# QuotedStr

Return a quotes version of a string.

## Declaration

Source position: sysstrh.inc line 108

`function QuotedStr(`
`const S: string`
`):string;`

## Description

QuotedStr returns the string S, quoted with single quotes. This means that S is enclosed in single quotes, and every single quote in S is doubled. It is equivalent to a call to AnsiQuotedStr(s, '''').

## Errors

None.

## See also

AnsiQuotedStr |  | Return a quoted version of a string.
AnsiExtractQuotedStr |  | Removes the first quoted string from a string.

## Example

    Program Example78;

    { This program demonstrates the QuotedStr function }

    Uses sysutils;

    Var S : AnsiString;

    Begin
      S:='He said ''Hello'' and walked on';
      Writeln (S);
      Writeln ('  becomes');
      Writeln (QuotedStr(S));
    End.